.image-cards {
  display: grid;
  gap: 2rem;
  grid-template-columns: repeat(var(--mobile-columns, 1), minmax(0, 1fr));
}
@media (max-width: 960px) {
  .image-cards {
    gap: 1rem;
  }
}
@media screen and (min-width: 768px) {
  .image-cards {
    grid-template-columns: repeat(var(--desktop-columns, 3), minmax(0, 1fr));
  }
}

.image-card-item {
  position: relative;
  overflow: hidden;
  height: fit-content;
}

.image-card-item img,
.image-card-item svg {
  height: 100%;
  aspect-ratio: var(--image-card-aspect-ratio, auto);
  object-fit: cover;
}
.image-card__title{
  text-decoration: underline;
  text-transform: uppercase;
}
a.button {
    width: fit-content;
}
.image-card-item > * {
  transition: transform 200ms ease-in;
}
.image-card-item > img{
  width: 100%;
  height: auto;
}

.image-card-item-inner {
  position: absolute;
  inset: 0;
  z-index: 1;
  display: flex;
  flex-direction: column;
  gap: 12px;
  justify-content: center;
  width: 100%;
  height: 100%;
  padding: 24px;
  color: rgb(var(--color-text));
  pointer-events: auto;
}
.image-card-item.below_image {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.image-card-item.below_image .image-card-item-inner {
  position: static;
  height: auto;
  padding: 0;
}

.image-card-item.center_image .image-card-item-inner {
  align-items: center;
  text-align: center;
}

.image-card-item.top_left .image-card-item-inner {
  align-items: flex-start;
  justify-content: flex-start;
  text-align: left;
}

.image-card-item.top_right .image-card-item-inner {
  align-items: flex-end;
  justify-content: flex-start;
  text-align: right;
}

.image-card-item.bottom_left .image-card-item-inner {
  align-items: flex-start;
  justify-content: flex-end;
  text-align: left;
}

.image-card-item.bottom_right .image-card-item-inner {
  align-items: flex-end;
  justify-content: flex-end;
  text-align: right;
}

.image-card-item.center_left .image-card-item-inner {
  align-items: flex-start;
  justify-content: center;
  text-align: left;
}

.image-card-item.center_right .image-card-item-inner {
  align-items: flex-end;
  justify-content: center;
  text-align: right;
}

.image-card__title {
  margin: 0;
}

.image-card-item-link {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 999;
    width: 100%;
    height: 100%;
    display: block !important;
}